Subject: More DLSw RFC related questions/issuess

From: [email-masked] (Himanshu C. Shah)
Date: Mon, 14 Jun 93 19:19:08 EDT

Hi,

Some more questions/issues while reading through DLSw RFC.

1) Page 12, section 4.2, bottom of second paragraph. This paragraph
suggests that as per SAP values, the test frames are submitted to DLS
and one would either bridge or switch the SNA frames.

I contest this to be not true. The DLS box would simultaneously bridge
the test frame and send CUR on the DLS cloud. Based on the various
responses, in case if there are more than one, the end station bears
the responsibility of route selection. Therefore, DLS should appear
to end stations as just another path to the destination, in cases
where there is a bridge path as well as a DLS path. Basically, it
boils down to the question, whether data link switching should be
transparent to the end station or not?

2) Table 3 on page 15 in section 4.2.2. This table should include the
events "DLC_ENTER_BUSY" to handle receipt of an RNR from the end
station and "DLC_EXIT_BUSY" to handle receipt of an RR from the end
station. I am assuming that DLS spec will evolve to provide flow
control on per cicuit basis.

3) I remember seeing discussion in mail archives about the setting of DSAP
to SSAP for CUR. My opinion is that DSAP should be hard coded to SAP
0x04 for SNA frames for a legible data link ID.

Himanshu.